/**
 * @author WangShuhao
 */
/**
 * 是否为数字
 * @param {Object} value
 */
function Verify_Number(value)
{
  var myReg = /^\d+$/;
  if(myReg.test(value)) return true;
  return false;
}
/**
 * 身份证号码
 * @param {Object} value
 */
function Verify_IdCard(value)
{
  var myReg = /^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^\"\"])*$/;
  if(myReg.test(value)) return true;
  return false;
}
/**
 * 是否符合HTTP格式
 * @param {Object} value
 */
function Verify_Url(value)
{
  var myReg = /^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\':+!]*([^\"\"])*$/;
  if(myReg.test(value)) return true;
  return false;
}
/**
 * 是否为空
 * @param {Object} value
 */
function Verify_UnBlank(value)
{
  var myReg = /^\s*$/;
  if(myReg.test(value)) return true;
  return false;
}

/**
 * 是否超过限定长度
 * @param {Object} value
 * @param {Object} Max_limit
 */
function Verify_CLong(value,Max_limit)
{
	if(value.length>parseInt(Max_limit)) return false;
	return true;
}
/**
 * 是否符合EMAIL格式
 * @param {Object} value
 */
function Verify_Email(value)
{
  var myReg = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
  if(myReg.test(value)) return true;
  return false;

}
/**
 * 搜索关键字过滤
 * @param {Object} value
 */
function Verify_Search(value) 
{  
   var myReg= /^.*[\'|\"|\/|<|>|%|<>|@|#|$|^|&|*|()|-|+].*$/;
   if(myReg.test(value)) return false;
   return true;

}

/**
 * 电话号码
 * @param {Object} value
 */
function Verify_Phone(value)
{
  var myReg = /^((\(\d{2,3}\))|(\d{3}\-))?(\(0\d{2,3}\)|0\d{2,3}-)?[1-9]\d{6,7}(\-\d{1,4})?$/;
  if(myReg.test(value)) return true;
  return false;
}
/**
 * 邮政编码
 * @param {Object} value
 */
function Verify_Zip(value)
{
  var myReg = /^[1-9]\d{5}$/;
  if(myReg.test(value)) return true;
  return false;
}
